apiVersion: v1
kind: Template
labels:
  app: servicedesk
  template: servicedesk-buildconfig
metadata:
  annotations:
    description: ServiceDesk - BuildConfig
    iconClass: icon-php
    openshift.io/display-name: ServiceDesk
    tags: servicedesk
  name: servicedesk-buildconfig
objects:
- apiVersion: v1
  kind: BuildConfig
  metadata:
    annotations:
      description: Builds ServiceDesk images
    labels:
      name: servicedesk-${SERVICEDESK_REPOSITORY_REF}
    name: servicedesk-${SERVICEDESK_REPOSITORY_REF}
  spec:
    failedBuildsHistoryLimit: 1
    resources:
      limits:
        cpu: 200m
        memory: 3Gi
    source:
      contextDir: /
      git:
        uri: ${SERVICEDESK_REPOSITORY_URL}
        ref: "${SERVICEDESK_REPOSITORY_REF}"
      type: Git
    strategy:
      type: Docker
      dockerStrategy:
        env:
        - name: DO_UPGRADE
          value: foo
        forcePull: false
        from:
          kind: ImageStreamTag
          name: ${PHP_IMAGESTREAM_TAG}
    output:
      to:
        kind: ImageStreamTag
        name: servicedesk:${SERVICEDESK_REPOSITORY_REF}
    triggers:
    - type: ImageChange
    - type: ConfigChange
parameters:
- name: PHP_IMAGESTREAM_TAG
  description: Set this to PHP ImageStream tag serving as base for ServiceDesk BuildConfig
  displayName: PHP ImageStream Tag
  required: true
  value: php:master
- name: SERVICEDESK_REPOSITORY_REF
  description: Set this to a branch name, tag or other ref of your repository if you are not using the default branch
  displayName: Git Reference
  required: true
  value: master
- name: SERVICEDESK_REPOSITORY_URL
  description: The URL of the repository with your ServiceDesk Dockerfile
  displayName: Git Repository URL
  required: true
  value: https://gitlab.com/synacksynack/opsperator/docker-servicedesk.git
